For Developers

List Teams

GET https://ed.link/api/v2/teams

Returns all teams where the authenticated user has a membership. Each team is a model-shaped MikroORM Team entity with an additional days_billing_overdue field when applicable.

Authenticate with a dashboard session token or service account access token.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

const response = await axios.get('https://ed.link/api/v2/teams', {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "d078e26d-9fcc-4f2b-b19f-430891906061",
            "created_date": "2020-02-14T17:20:06.254Z",
            "updated_date": "2025-11-12T08:30:00.000Z",
            "name": "Edlink University",
            "type": "district",
            "state": "active",
            "alias": "edu",
            "verified": true,
            "icon_url": "/teams/edu/icon.png",
            "days_billing_overdue": 0
        },
        {
            "id": "d1be0f47-7765-447a-95e3-1cfaedf57ce7",
            "created_date": "2022-09-19T20:17:23.774Z",
            "updated_date": "2024-06-20T18:20:59.802Z",
            "name": "Sample Developer Team",
            "type": "developer",
            "state": "active",
            "alias": "sampledev",
            "verified": false,
            "days_billing_overdue": 0
        }
    ]
}